import request from '@/utils/request'

// 查询四方支付配置列表
export function listPayTrdConfig(query) {
  return request({
    url: '/cai/payTrdConfig/list',
    method: 'get',
    params: query
  })
}

// 查询四方支付配置详细
export function getPayTrdConfig(id) {
  return request({
    url: '/cai/payTrdConfig/' + id,
    method: 'get'
  })
}

// 新增四方支付配置
export function addPayTrdConfig(data) {
  return request({
    url: '/cai/payTrdConfig',
    method: 'post',
    data: data
  })
}

// 修改四方支付配置
export function updatePayTrdConfig(data) {
  return request({
    url: '/cai/payTrdConfig',
    method: 'put',
    data: data
  })
}

export function updateEnableStatusPayTrdConfig(data) {
  return request({
    url: '/cai/payTrdConfig/enableStatus',
    method: 'post',
    data: data
  })
}

// 删除四方支付配置
export function delPayTrdConfig(id) {
  return request({
    url: '/cai/payTrdConfig/' + id,
    method: 'delete'
  })
}
